---
lang: en
title: 'API docs: repository.repositorymixindoc._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.repositorymixindoc._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [RepositoryMixinDoc](./repository.repositorymixindoc.md) &gt; [(constructor)](./repository.repositorymixindoc._constructor_.md)

## RepositoryMixinDoc.(constructor)

Constructs a new instance of the `RepositoryMixinDoc` class

<b>Signature:</b>

```typescript
constructor(...args: any[]);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  args | any\[\] |  |


